<template>
  <vxe-table height="400" size="mini" :data="value" :scroll-y="{enabled: false}">
    <vxe-column type="seq" width="60" title="序号"></vxe-column>
    <vxe-column field="equipmentName" title="设备名称" width="140"></vxe-column>
    <vxe-column field="addrCodeInfo" title="所属地区"></vxe-column>
    <vxe-column field="addrInfo" title="详细地址"></vxe-column>
  </vxe-table>
</template>

<script setup>
  import { computed,getCurrentInstance,nextTick  } from "vue";
  const value = ref([])
  const config = ref({})
  const emit = defineEmits();
  const props = defineProps({
    propConfig:{},
    propValue:{},
    parentValue:{}
  })

  const setValue = data => {
    value.value = data && data.length > 0 ? data : []
  }

  defineExpose({
    setValue
  })
  nextTick(() => {
    if(props.propValue){
      setValue(props.propValue)
    }
  })
  
</script>

<style lang="scss" scoped>

</style>